# Class FunctionPropertyAttribute

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Attribute to describe a property of a type that is used as a function parameter.

    [AttributeUsage(AttributeTargets.Property|AttributeTargets.Field)]
    public class FunctionPropertyAttribute : Attribute

Inheritance
  object
  Attribute
  FunctionPropertyAttribute

Inherited Members
  Attribute.Equals(object)
  Attribute.GetCustomAttribute(Assembly, Type)
  Attribute.GetCustomAttribute(Assembly, Type, bool)
  Attribute.GetCustomAttribute(MemberInfo, Type)
  Attribute.GetCustomAttribute(MemberInfo, Type, bool)
  Attribute.GetCustomAttribute(Module, Type)
  Attribute.GetCustomAttribute(Module, Type, bool)
  Attribute.GetCustomAttribute(ParameterInfo, Type)
  Attribute.GetCustomAttribute(ParameterInfo, Type, bool)
  Attribute.GetCustomAttributes(Assembly)
  Attribute.GetCustomAttributes(Assembly, bool)
  Attribute.GetCustomAttributes(Assembly, Type)
  Attribute.GetCustomAttributes(Assembly, Type, bool)
  Attribute.GetCustomAttributes(MemberInfo)
  Attribute.GetCustomAttributes(MemberInfo, bool)
  Attribute.GetCustomAttributes(MemberInfo, Type)
  Attribute.GetCustomAttributes(MemberInfo, Type, bool)
  Attribute.GetCustomAttributes(Module)
  Attribute.GetCustomAttributes(Module, bool)
  Attribute.GetCustomAttributes(Module, Type)
  Attribute.GetCustomAttributes(Module, Type, bool)
  Attribute.GetCustomAttributes(ParameterInfo)
  Attribute.GetCustomAttributes(ParameterInfo, bool)
  Attribute.GetCustomAttributes(ParameterInfo, Type)
  Attribute.GetCustomAttributes(ParameterInfo, Type, bool)
  Attribute.GetHashCode()
  Attribute.IsDefaultAttribute()
  Attribute.IsDefined(Assembly, Type)
  Attribute.IsDefined(Assembly, Type, bool)
  Attribute.IsDefined(MemberInfo, Type)
  Attribute.IsDefined(MemberInfo, Type, bool)
  Attribute.IsDefined(Module, Type)
  Attribute.IsDefined(Module, Type, bool)
  Attribute.IsDefined(ParameterInfo, Type)
  Attribute.IsDefined(ParameterInfo, Type, bool)
  Attribute.Match(object)
  Attribute.TypeId
  object.Equals(object, object)
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### FunctionPropertyAttribute(string, bool, object?, object[]?)

Initializes a new instance of the FunctionPropertyAttribute class.

    public FunctionPropertyAttribute(string description, bool required = false, object? defaultValue = null, object[]? possibleValues = null)

#### Parameters

`description` string

  Description of the property.

`required` bool

  Whether the property is required.

`defaultValue` object

  Default value of the property.

`possibleValues` object[]

  Possible values of the property.

## Properties

### DefaultValue

Default value of the property.

    public object? DefaultValue { get; }

#### Property Value

object

### Description

Description of the property.

    public string Description { get; }

#### Property Value

string

### PossibleValues

Possible values of the property.

    public object[]? PossibleValues { get; }

#### Property Value

object[]

### Required

Whether the property is required.

    public bool Required { get; }

#### Property Value

bool